package handler

import (
	"git.coopgo.io/coopgo-apps/silvermobi/services"
	"git.coopgo.io/coopgo-apps/silvermobi/storage"
	"github.com/spf13/viper"
)

type SilvermobiHandler struct {
	Config    *viper.Viper
	Services  *services.ServicesHandler
	KVHandler storage.KVHandler
}

func NewSilvermobiHandler(cfg *viper.Viper, services *services.ServicesHandler, KVHandler storage.KVHandler) (*SilvermobiHandler, error) {
	return &SilvermobiHandler{
		Config:    cfg,
		Services:  services,
		KVHandler: KVHandler,
	}, nil
}
